import { type Context } from "aws-lambda";

import { handler as elciudadano } from "./portales/elciudadano/handler";
import { handler as eldesconcierto } from "./portales/eldesconcierto/handler";
import { handler as emol } from "./portales/emol/handler";
import { handler as latercera } from "./portales/latercera/handler";
import { handler as theclinic } from "./portales/theclinic/handler";

const context: Context = {
  callbackWaitsForEmptyEventLoop: false,
  functionName: "",
  functionVersion: "",
  invokedFunctionArn: "",
  memoryLimitInMB: "0",
  awsRequestId: "",
  logGroupName: "",
  logStreamName: "",
  done: () => {},
  fail: () => {},
  succeed: () => {},
  getRemainingTimeInMillis: () => 1
};

async function main (): Promise<void> {
  await elciudadano(null, context, () => {});
  await new Promise((resolve) => setTimeout(resolve, 5000));
  await eldesconcierto(null, context, () => {});
  await new Promise((resolve) => setTimeout(resolve, 5000));
  await emol(null, context, () => {});
  await new Promise((resolve) => setTimeout(resolve, 5000));
  await latercera(null, context, () => {});
  await new Promise((resolve) => setTimeout(resolve, 5000));
  await theclinic(null, context, () => {});
}

main()
  .catch((err) => {
    console.error(err)
  })
  .finally(() => {
    process.exit(0);
  });
